# Uses of Class
org.eclipse.mat.query.ContextProvider

Packages that use ContextProvider
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of ContextProvider in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return ContextProvider
Modifier and Type
Method
Description
`ContextProvider[]`
BigDropsQuery.`getContextProviders()`

## Uses of ContextProvider in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return types with arguments of type ContextProvider
Modifier and Type
Method
Description
`List<ContextProvider>`
ResultMetaData.`getContextProviders()`
Returns the named context providers.
Methods in org.eclipse.mat.query with parameters of type ContextProvider
Modifier and Type
Method
Description
`ResultMetaData.Builder`
ResultMetaData.Builder.`addContext(ContextProvider provider)`
Add a named `ContextProvider` to display additional context menus.
`abstract Column`
ContextDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column ready to use, based on the derived column
`final boolean`
ContextProvider.`hasSameTarget(ContextProvider other)`
Used to see if two context providers are the same.
`abstract String`
ContextDerivedData.`labelFor(ContextDerivedData.DerivedColumn derivedColumn, ContextProvider provider)`
Get the label for the extra column
Constructors in org.eclipse.mat.query with parameters of type ContextProvider
Modifier
Constructor
Description
``
`ContextProvider(ContextProvider template)`
Constructor using copying values from the give template context provider.

## Uses of ContextProvider in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined that return ContextProvider
Modifier and Type
Method
Description
`ContextProvider`
RefinedStructuredResult.DerivedDataJobDefinition.`getContextProvider()`
Methods in org.eclipse.mat.query.refined with parameters of type ContextProvider
Modifier and Type
Method
Description
`void`
RefinedResultBuilder.`addContextDerivedColumn(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`
`Column`
RefinedStructuredResult.`addDerivedDataColumn(ContextProvider provider, ContextDerivedData.DerivedColumn derivedColumn)`
`void`
RefinedStructuredResult.`calculate(ContextProvider provider, ContextDerivedData.DerivedOperation operation, List<?> elements, RefinedStructuredResult.ICalculationProgress progress, IProgressListener listener)`
`Column`
RefinedStructuredResult.`getColumnFor(ContextProvider provider, ContextDerivedData.DerivedColumn derivedColumn)`
Constructors in org.eclipse.mat.query.refined with parameters of type ContextProvider
Modifier
Constructor
Description
``
`DerivedDataJobDefinition(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`

## Uses of ContextProvider in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return ContextProvider
Modifier and Type
Method
Description
`ContextProvider`
QueryResult.`getDefaultContextProvider()`

## Uses of ContextProvider in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query with parameters of type ContextProvider
Modifier and Type
Method
Description
`Column`
RetainedSizeDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column for the retained size with the right calculator.
`String`
RetainedSizeDerivedData.`labelFor(ContextDerivedData.DerivedColumn derivedColumn, ContextProvider provider)`
Get the label for the extra column.

## Uses of ContextProvider in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer with parameters of type ContextProvider
Modifier and Type
Method
Description
`void`
RefinedResultViewer.`showDerivedDataColumn(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`

## Uses of ContextProvider in org.eclipse.mat.ui.util

Constructors in org.eclipse.mat.ui.util with parameters of type ContextProvider
Modifier
Constructor
Description
``
`QueryContextMenu(AbstractEditorPane pane, ContextProvider provider)`
``
`QueryContextMenu(MultiPaneEditor editor, ContextProvider provider)`